//
//  BiorhythmViewController.h
//  Biorhythm
//
//  Created by 유동근 on 09. 05. 11.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <UIKit/UIKit.h>

//------------------------------------------------------------
#define MAX_BIORHYTHMDATATYPE	3
#define ONEDAY_SECOND			(24 * 60 * 60)
#define PI						(3.14159265358979323846)
//------------------------------------------------------------

@interface BiorhythmViewController : UIViewController<UITextFieldDelegate> {
	NSTimer* _timer;
	UILabel* timeLabel;
	IBOutlet UITextField* physical;		// 신체
	IBOutlet UITextField* sensitivity;	// 감성
	IBOutlet UITextField* intellectual;	// 지성
	
	IBOutlet UIDatePicker* birthDay;
	
	IBOutlet UIButton* button;
	
	double _biorhythmData[31][MAX_BIORHYTHMDATATYPE];
}

-(IBAction)changeDate:(id)sender;
-(IBAction)calcBiorhythm:(id)sender;
- (void)reCalcBiorhythmData:(NSDateComponents*)birthDate 
			 andCurrentDate:(NSDateComponents*)currentDate;

@property(nonatomic,retain) IBOutlet UILabel* timeLabel;

@end

