#import "WordViewController.h"
#import "WordBookViewController.h"

@implementation WordViewController
@synthesize word;
@synthesize sense;

-(void)loadView {
	[super loadView];
	UIBarButtonItem* buttonItem = [[[UIBarButtonItem alloc] 
									initWithTitle:@"저장"
									style:UIBarButtonItemStylePlain 
									target:self 
									action:@selector(goSave)] 
								   autorelease]; 
	[[self navigationItem] setRightBarButtonItem:buttonItem animated:YES]; 
}
-(void)goSave {
	WordBookViewController* viewController = (WordBookViewController*) 
								[[self.navigationController viewControllers] 
								 objectAtIndex:0];
	[viewController saveDictionary:word.text andSense:sense.text];
	[self.navigationController popViewControllerAnimated:YES];
}
@end
