//
//  main.m
//  nonAtomic
//
//  Created by ??? on 09. 04. 20.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <Cocoa/Cocoa.h>

//------------------------------------------------------------
@interface theClass : NSObject
{
	int atomicVar;
	int nonatomicVar;
}

@property int atomicVar;
@property(nonatomic) int nonatomicVar;
@end

//------------------------------------------------------------
@implementation theClass

@synthesize atomicVar;
@synthesize nonatomicVar;

@end

//------------------------------------------------------------


int main(int argc, char *argv[])
{
	theClass* pobj = [theClass alloc];

	UInt32 tick1 = TickCount();
	for (unsigned int i = 0; i < 400000000 ;i++)
		pobj.atomicVar = rand();
	printf ("atomic elapse time = %d\n", TickCount() - tick1);
	
	tick1 = TickCount();
	for (unsigned int i = 0; i < 400000000 ;i++)
		pobj.nonatomicVar = rand();
	printf ("nonatomic elapse time = %d\n", TickCount() - tick1);
	
	[pobj release];
	
	return 0;
}
