//
//  main.m
//  Access
//
//  Created by ??? on 09. 04. 20.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <Cocoa/Cocoa.h>

//-------------------------------------------------------------------------------
@interface Access : NSObject
{
@public
	int publicVar;
@private
	int privateVar;
@protected
	int protectedVar;
}
-(void)display;
@end
//-------------------------------------------------------------------------------
@implementation Access
-(void)display
{
	printf("publicVar = %d, protectedVar = %d, privateVar = %d",
		   publicVar, protectedVar, privateVar);
}
@end
//-------------------------------------------------------------------------------
@interface AccessDerived : Access
{
}
-(void)display;
@end
//-------------------------------------------------------------------------------
@implementation AccessDerived
-(void)display
{
	printf("publicVar = %d, protectedVar = %d, privateVar = %d",
		   publicVar, protectedVar);
}
@end

//-------------------------------------------------------------------------------


int main(int argc, char *argv[])
{
	Access* pacc = [Access alloc];
	pacc->publicVar = 10;
	pacc->protectedVar = 20;
	pacc->privateVar = 30;
	[pacc display];
	[pacc release];
}
