//
//  ArchiveViewController.m
//  Archive
//
//  Created by 유동근 on 09. 05. 27.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "ArchiveViewController.h"

@interface theClass : NSObject
{
	NSString* string;
	NSDate* date;
	NSInteger integer;
}
@property(nonatomic,retain) NSString* string;
@property(nonatomic,retain) NSDate* date;
@property(nonatomic) NSInteger integer;
@end

@implementation theClass
@synthesize string;
@synthesize date;
@synthesize integer;
-(void) encodeWithCoder: (NSCoder *)coder {
	[coder encodeObject:self.string forKey:@"stringData"];
	[coder encodeObject:self.date forKey:@"dateData"];
	[coder encodeObject:[NSNumber numberWithInt:integer] forKey:@"integerData"];
}
-(id) initWithCoder: (NSCoder *)coder {
	if (self = [super init]) {
		self.string = [coder decodeObjectForKey:@"stringData"];
		self.date = [coder decodeObjectForKey:@"dateData"];
		self.integer = [[coder decodeObjectForKey:@"integerData"] intValue];
	}
	return self;
}
-(NSString*)description {
	NSString* descript = [[[NSString alloc] initWithFormat:@"%@, %@, %d", 
						  self.string, self.date, integer] autorelease];
	return descript;
}
- (void)dealloc {
	[string release];
	[date release];
	[super dealloc];
}
@end

@implementation ArchiveViewController



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}

-(IBAction)Archive {
	theClass* obj = [[[theClass alloc] init] autorelease];
	obj.string = @"Archive data";
	obj.date = [NSDate date];
	obj.integer = rand();
	
	NSString* path = [[NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) objectAtIndex:0] 
					  stringByAppendingString:@"/archive.data"];
	NSData* data = [NSKeyedArchiver archivedDataWithRootObject:obj];
	[data writeToFile:path atomically:YES];
}

-(IBAction)Unarchive {
	NSString* path = [[NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) objectAtIndex:0] 
					  stringByAppendingString:@"/archive.data"];
	NSData* data = [NSData dataWithContentsOfFile:path];
	if (data != nil) {
		theClass* obj = [NSKeyedUnarchiver unarchiveObjectWithData:data];
		NSLog(@"Unarchive obj(%@)\n", obj);
	}
}

-(IBAction)Copy {
	NSString* path1 = [[NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) objectAtIndex:0] 
					   stringByAppendingString:@"/archive.data"];
	NSString* path2 = [[NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) objectAtIndex:0] 
					   stringByAppendingString:@"/archive2.data"];
	NSFileHandle* readFile = [NSFileHandle fileHandleForReadingAtPath:path1]; 
	NSData* fileData = [readFile readDataToEndOfFile]; 
	
	[[NSFileManager defaultManager] createFileAtPath:path2 contents:nil attributes:nil];
	NSFileHandle* writeFile = [NSFileHandle fileHandleForWritingAtPath:path2]; 
	[writeFile writeData:fileData]; 
}

- (void)dealloc {
    [super dealloc];
}

@end
