//
//  BiorhythmViewController.h
//  Biorhythm
//
//  Created by 유동근 on 09. 05. 11.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <UIKit/UIKit.h>

//------------------------------------------------------------
#define MAX_BIORHYTHMDATATYPE	3
#define ONEDAY_SECOND			(24 * 60 * 60)
#define PI						(3.14159265358979323846)
//------------------------------------------------------------

@class GraphView;

@interface BiorhythmViewController : UIViewController<UITextFieldDelegate,
													UITableViewDataSource> {
	IBOutlet UIDatePicker*	birthDay;
	IBOutlet GraphView*		graphView;
@public
	NSMutableArray*			arrayPerson;
	NSInteger				currDay;
	double _biorhythmData[31][MAX_BIORHYTHMDATATYPE];
}
-(IBAction)clickInfo:(id)sender;
-(IBAction)changeDate:(id)sender;
- (void)reCalcBiorhythmData:(NSDateComponents*)birthDate 
			 andCurrentDate:(NSDateComponents*)currentDate;
-(void)newBirthDay:(NSString*)date;
-(void)appendPerson:(NSString*)person;
-(void)updatePerson:(NSString*)person atIndex:(NSInteger)row;
@property(nonatomic,retain) NSMutableArray* arrayPerson;
@end
