#import "ColorViewController.h"
#import "FingerDrawForImageAppDelegate.h"
#import "FingerDrawForImageViewController.h"
#import "MyUIView.h"

@implementation ColorViewController
-(void)viewDidLoad {
	slider.minimumValue = 0;
	slider.maximumValue = 100;
	slider.value = 	[[self myUIView] _widthPen];
	
	[slider addTarget:self action:@selector(changleValue:) 
	 forControlEvents:UIControlEventValueChanged];
}
-(MyUIView*)myUIView {
	FingerDrawForImageAppDelegate* appDelegate = 
			(FingerDrawForImageAppDelegate*)
				[[UIApplication sharedApplication] delegate];
	FingerDrawForImageViewController* viewController = [appDelegate viewController];
	UIView* imageView = [viewController 
						 viewForZoomingInScrollView:(UIScrollView*) viewController.view];
	MyUIView* view = (MyUIView*) [[imageView subviews] objectAtIndex:0];
	return view;
}
-(IBAction)changleValue:(id)sender
{
	NSLog(@"%f\n", slider.value);
	[[self myUIView] setWidthPen:slider.value];
}
-(void) touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
{
	UITouch*	touch = [touches anyObject];
	UIView*		view = [touch view];
	if (view != self.view)
	{
		CGColorRef color = [[view backgroundColor] CGColor];
		MyUIView* view = [self myUIView];
		[view setColorPen:color];
	}
}
@end
